Subject: Re: bug#39863: Guile 1.8, apparent segfault on some Macs running Mojave

From: Ludovic Courtès <[email-masked]>
Date: Sat, 07 Mar 2020 21:36:31 +0100

Hi,

Marnen Laibow-Koser <[email-masked]> skribis:

> On Sat, Mar 7, 2020 at 10:12 AM Ludovic Courtès <[email-masked]> wrote:

[...]

>> Could you provide a backtrace of the segfault?
>>
>
> I’m not sure how I would be able to get any more detailed debugging info
> than the logs that I posted in the GitLab issue.  Have you looked at
> those?  Alternatively, is there an environment variable or anything that
> would get Guile to provide more information when it does segfault?

I would just run GDB on the dumped core, and run “bt” there (apologies
if that info is already in the GitLab issue, I didn’t see it.)

>> Is it a recent regression of your LilyPond package for macOS?
>
>
> I’m afraid that question doesn’t have much meaning either: this packaging
> is newly developed, so there’s nothing to regress *from*.

Ah OK.  Then perhaps you could look at how Homebrew, MacPorts &
co. package LilyPond in search of inspiration (speaking with my distro
hacker hat on :-))?

Thanks,
Ludo’.